Skip to main content

Artifact

View as Markdown

Metadata of a single artifact file or directory.

FileInfo object

Metadata of a single artifact file or directory.

pathstring

The path relative to the root artifact directory run.

is_dirboolean

Whether the path is a directory.

file_sizeint64

The size in bytes of the file. Unset for directories.

List GA

GET /api/2.0/mlflow/artifacts/list

List artifacts for a run. Takes an optional artifact_path prefix which if specified, the response contains only artifacts with the specified prefix. A maximum of 1000 artifacts will be retrieved for UC Volumes. Please call /api/2.0/fs/directories{directory_path} for listing artifacts in UC Volumes, which supports pagination. See List directory contents | Files API.

API scopes: mlflow

Parameters

run_idstringquery

ID of the run whose artifacts to list. Must be provided.

run_uuidstringquery

[Deprecated, use run_id instead] ID of the run whose artifacts to list. This field will be removed in a future MLflow version.

pathstringquery

Filter artifacts matching this path (a relative path from the root artifact directory).

page_tokenstringquery

The token indicating the page of artifact results to fetch. page_token is not supported when listing artifacts in UC Volumes. A maximum of 1000 artifacts will be retrieved for UC Volumes. Please call /api/2.0/fs/directories{directory_path} for listing artifacts in UC Volumes, which supports pagination. See List directory contents | Files API.

Response

Returns a list of FileInfo objects.